View Issue Details

IDProjectCategoryView StatusLast Update
0003210MediaMonkey (current)Synchronizationpublic2010-10-27 12:55
Reporterrusty 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0 
Summary0003210: Audio files are deleted when they shouldn't be deleted
DescriptionIf delete files that aren't on the auto-synch list is enabled then MM will delete all tracks From the first directory that is specified in the destination, rather than all 'hard' directories.

i.e. if user synchs to /Audio/Music/<Artist>/<Artist>-<Title> then tracks are deleted from /Audio (including /Audio/Podcasts/ and /Audio/Audiobooks/ .

What should happen is that only the tracks that aren't in the auto synch list in /Audio/Music should be deleted.

Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?t=23551
TagsNo tags attached.
Fixed in build1301

Relationships

related to 0002615 closedLudek MTP Synchronization is MUCH slower than it should be 
related to 0001350 closedrusty Portable Device: Bidirectional Synchronization 

Activities

jiri

2007-07-01 08:18

administrator   ~0009632

Well, but it has always been this way (i.e. the whole device is scanned for audio tracks to be removed). If user has folders that shouldn't be cleared, there is a text field for entering a list of folders to be ignored.

I was also thinking about the suggested change, but I'm afraid that it would cause more bad than good. E.g. after changing the mask, different set of files would be deleted. And also not all files are necessarily synched to just this folder, some coudl be configured to by synched to other folders (see Advanced settings).

So, I'd rather leave it as is.

rusty

2007-07-05 16:38

administrator   ~0009651

To clarify:

My intent is that MM should only delete files from the destination directories that are 'hard coded' in _any_ portion of the sync profile (i.e. destinations set via 'Advanced').

As far as the issue that different files would be deleted depending on changes to the mask: i think that this would be expected.

Ludek

2010-01-24 23:29

developer   ~0019980

Last edited: 2010-01-24 23:30

Fixed in build 1301 together with 0002615.

i.e. If device is configured as
Sync Tracks to: [\Music\Audio\<Album Artist>\<Album>\<Title>]
then MM looks up only \Music\Audio\ folder and subfolders as was originally suggested.

peke

2010-10-27 12:55

developer   ~0021010

Verified 1318